/** A module to run all mde unittests and potentially to perform other tests.
*/
module test.mdeTest;

// Define this to run unittests:
debug=mdeUnitTest;

// This module should import all mde modules containing unittests:
import mde.input.input;
import mde.mergetag.dataset;
import mde.mergetag.mtunittest;
import mde.exception;
import mde.init;

import tango.util.log.Log : Log, Logger;

private Logger logger;

static this()
{
    // Set up console logging:
    Logger root = Log.getRootLogger();
    root.setLevel(root.Level.Trace);
    root.addAppender(new ConsoleAppender);
    
    logger = Log.getLogger ("test.mdeTest");
}

void main() {
    logger.info ("All unittests complete.");
}
